-- DROP OLD SEQUENCES
drop sequence ULISSE_ADM.SEQ_ELK_WORKS_EXPORT;
drop sequence ULISSE_ADM.SEQ_ELK_XML_EXPORT;
drop sequence ULISSE_ADM.SEQ_ELK_XML_EXPORT_NEW;
drop sequence ULISSE_ADM.SEQ_ELK_XML_TOTAL_EXPORT;

-- DROP OLD TABLES
drop table ULISSE_ADM.ELK_AUDIT_EXPORT;
drop table ULISSE_ADM.ELK_SCHEMA_EDIZIONE_EXPORT;
drop table ULISSE_ADM.ELK_SCHEMA_TERR_EXPORT;
drop table ULISSE_ADM.ELK_WORKS_EXPORT;
drop table ULISSE_ADM.ELK_XML_TOTAL_EXPORT;

--------------------------------------------------------
--  DDL for Table ELK_SCHEMA_TERR_EXPORT
--------------------------------------------------------
CREATE TABLE ULISSE_ADM.ELK_SCHEMA_TERR_EXPORT
(
  ID_SCHEMA NUMBER(19,0),
	ID_OPERA NUMBER(19,0),
	TIPO_UTILIZZO VARCHAR2(255 CHAR),
	SIGLA_SCHEMA VARCHAR2(255 CHAR),
	CONSTRAINT PK_SCHEMA_TERR PRIMARY KEY (ID_SCHEMA) ENABLE
)
TABLESPACE DATI_ULIADM ;

GRANT SELECT ON ULISSE_ADM.ELK_SCHEMA_TERR_EXPORT TO ULISSE_SELECTDATA;
GRANT INSERT ON ULISSE_ADM.ELK_SCHEMA_TERR_EXPORT TO ULISSE_MODIFYDATA;
GRANT UPDATE ON ULISSE_ADM.ELK_SCHEMA_TERR_EXPORT TO ULISSE_MODIFYDATA;
GRANT DELETE ON ULISSE_ADM.ELK_SCHEMA_TERR_EXPORT TO ULISSE_DELETEDATA;

CREATE OR REPLACE public SYNONYM ELK_SCHEMA_TERR_EXPORT FOR ULISSE_ADM.ELK_SCHEMA_TERR_EXPORT;


--------------------------------------------------------
--  DDL for Table MAPPA_QUOTA_IPI
--------------------------------------------------------
CREATE TABLE ULISSE_ADM.MAPPA_QUOTA_IPI
(
  ID NUMBER(19, 0) NOT NULL,
  NOME VARCHAR2(50) NOT NULL,
  DESCRIZIONE VARCHAR2(255),
  NOME_IPI VARCHAR2(50) NOT NULL,
  CONSTRAINT MAP_QT_IPI_PK PRIMARY KEY ( ID )ENABLE
)
TABLESPACE DATI_ULIADM ;

GRANT SELECT ON ULISSE_ADM.MAPPA_QUOTA_IPI TO ULISSE_SELECTDATA;
GRANT INSERT ON ULISSE_ADM.MAPPA_QUOTA_IPI TO ULISSE_MODIFYDATA;
GRANT UPDATE ON ULISSE_ADM.MAPPA_QUOTA_IPI TO ULISSE_MODIFYDATA;
GRANT DELETE ON ULISSE_ADM.MAPPA_QUOTA_IPI TO ULISSE_DELETEDATA;

CREATE OR REPLACE public SYNONYM MAPPA_QUOTA_IPI FOR ULISSE_ADM.MAPPA_QUOTA_IPI;